#include <bits/stdc++.h>
#define endl '\n'

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    int t;
    cin >> t;
    for(int i=0; i<t; i++){
        int n;
        cin >> n;
        vector<int> fush(n),pravi(n),pomocni(n);
        for(int j=0; j<n; j++)
            cin >> fush[j];
        for(int j=0; j<n; j++)
            cin >> pravi[j];
        bool moze=false, kraj=true;
        //cout << endl;
        for(int j=0; j<n-1 && moze==false && kraj==false; j++){
            int euf=fush[j];
            auto it=find(next(pravi.begin(),j),pravi.end(),euf);
            if(it==pravi.end())
                it=find(next(pravi.begin(),j),pravi.end(),(-1)*euf);
            if(it==pravi.end())
                kraj=true;
            int p;
            for(int z=it-pravi.begin(); z>j; z--){
                p=pravi[z];
                pravi[z]=pravi[z-1];
                pravi[z-1]=p;
                pravi[z]*=(-1);
                pravi[z-1]*=(-1);
            }
            cout << it-pravi.begin() << " ";
            /*for(auto x:pravi)
                cout << x << " ";
            cout << endl;*/
            if(pravi==fush)
                moze=true;


        }

        if(moze)
            cout << "DA" << endl;
        else
            cout << "NE" << endl;
    }




    return 0;
}